### Method

# Camel VeeSummary add

since: 3.58

#### Declaration [src]

    CamelVeeMessageInfo*
    camel_vee_summary_add (
      CamelVeeSummary* summary,
      CamelFolder* subfolder,
      const gchar* vuid
    )

#### Description [src]

Unref returned pointer with g_object_unref().

Available since: 3.58

This method is not directly available to language bindings.

#### Parameters

`subfolder`

  Type: `CamelFolder`

  A `CamelFolder` the `vuid` references.

  The data is owned by the caller of the method.

`vuid`

  Type: `const gchar*`

  A message UID as referenced in the `summary`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelVeeMessageInfo`

A new `CamelVeeMessageInfo` object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.